Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackShmReadWritePtr1< T > Class Template Reference

Pointer on shared memory segment in the client side: destroy the segment (used client control) More...

`#include <JackShmMem.h>`

## Public Member Functions
| JackShmReadWritePtr1 (int index, const char *server_name)
T * | operator-> () const
| operator T * () const
JackShmReadWritePtr1 & | operator= (int index)
void | SetShmIndex (int index, const char *server_name)
int | GetShmIndex ()
T * | GetShmAddress ()

## Detailed Description

### template<class T>
class Jack::JackShmReadWritePtr1< T >

Pointer on shared memory segment in the client side: destroy the segment (used client control)

Definition at line 237 of file JackShmMem.h.

The documentation for this class was generated from the following file:

- JackShmMem.h